Subject: RE: [Mip6] draft-dupont-mip6-dhaadharmful-00.txt

From: "Kilian Weniger" <[email-masked]>
Date: Tue, 25 Oct 2005 16:14:12 +0200

Hello Gerardo, 

please see comments below...

...
> > I agree, RFC3775 DHAAD cannot provide load balancing 
> between different
> > HAs on different subnets. Besides the minimal 
> > pre-configuration, this is
> > an advantage of the DNS-based discovery. But I think 
> anycast-based HA
> > discovery has advantages as well, e.g., it can support 
> > fine-grained load
> > balancing and can decrease delay and signaling overhead during
> > bootstrapping. Maybe a combination might become a good 
> solution, e.g.,
> > 
> > 1. The MN gets an HA prefix with the DNS-based discovery 
> mechanism (as
> > defined in bootstrapping solution). This minimizes the 
> > pre-configuration
> > of the MN and can achieve (coarse-grained) load balancing 
> > between HAs of
> > different subnets.
> > 
> > 2. The MN starts anycast-based HA discovery (not necessarily 
> > as defined
> > in RFC3775) using the discovered HA prefix to get the HA 
> address. This
> > can support fine-grained load balancing between HAs on the 
> > same link and
> > thus results in fast and efficient HA discovery (since subsequent HA
> > re-assignment for load balancing is not necessarily required). A
> > possible secure and efficient method could be the IKE 
> Security Gateway
> > discovery/assignment mechanism mentioned by Francis.
> > 
> 
> A similar approach was discussed in the DT: the MN could get 
> a HA prefix
> via DNS and then perform DHAAD. However, we agreed that a 
> pure DNS-based
> mechanism is better and does not have security concerns as DHAAD. 

O.k., I see. Can you recall the reasons, why a pure DNS-based mechanism
was considered better? 
Any reasons apart from the ICMP and security issue?

Note that it would be possible to use an anycast-based discovery
mechanism 
different from RFC3775 DHAAD, which is secure (e.g., the 
IKE Security Gateway discovery/assignment mechanism mentioned by
Francis) and which doesn't 
have the deployment (ICMP) issue.

> 
> 
> > 3. When load conditions change dramatically or the HA crashs, the MN
> > changes its HA using an HA-switch mechanism (this mechanism 
> could also
> > provide an optional fine-grained load balancing between HAs 
> > of different
> > subnets).
> >
> 
> I would simplify the procedure a bit: get rid of DHAAD and 
> use HA switch
> when a HA re-assignment is needed for any reason (e.g. load 
> balancing).

O.k., I think it's just a matter of efficiency. 
Without RFC3775 DHAAD, an additional HA-switch might be needed after
every bootstrapping.
I agree with Francis that the "real world" requirements for load
balancing must be known 
to be able to make a good decision.

Regards,

Kilian

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6